/* 
 * Copyright (c) 2000 Gregory D. Troxel <gdt@lexort.com>
 */

#ifndef _drg_tiff_h_
#define _drg_tiff_h_

/*
 * These routines depend on libtiff
 */
int drg_tiff_init();

void drg_tiff_set_scale(double xupp, double yupp);
void drg_tiff_start_line();

int drg_tiff_pixel(double x, double y);

/*
 * These routines depend on X11. 
 * You must already have included X11.
 */
int drg_tiff_init_image(Display *d);
int drg_tiff_image(double easting, double northing,
		     int npixels, XImage *image);

#endif /* _drg_tiff_h_ */
